Table of Contents

Class: GroupSession | Twisted-0.19.0/twisted/words/ui/im.py
--- | ---
Methods |
--- | ---
__init__ changeMemberName memberJoined memberLeft receiveGroupEmote receiveGroupMembers receiveGroupMessage
| __init__
    __init__ (
            self,
            im,
            name,
            gateway,
            )
represents a group chat. im := the InstanceMesseneger that's being used (class InstanceMessenger) name := the name of the group (string) gateway := the gateway that's being used (class Gateway)
Exceptions |
--- | ---
NotImplementedError
| changeMemberName
    changeMemberName (
            self,
            member,
            newName,
            )
change the name of a member in the group. it could be our username as well, in which case, the gateway name has probably changed as well. member := the old name of the member (string) newName := the new name of the member (string)
Exceptions |
--- | ---
NotImplementedError
| memberJoined
    memberJoined ( self,  member )
called when a member joins the group. member := the member who just joined the group
Exceptions |
--- | ---
NotImplementedError
| memberLeft
    memberLeft ( self,  member )
called when a member leaves the group. member := the member who just left the group
Exceptions |
--- | ---
NotImplementedError
| receiveGroupEmote
    receiveGroupEmote (
            self,
            member,
            emote,
            )
called when a member of the group sends a emote. note: we /don't/ get this call when we send a message. member := the member who sent the message (string) emote := the emote (string)
Exceptions |
--- | ---
NotImplementedError
| receiveGroupMembers
    receiveGroupMembers ( self,  members )
called when we receive the list of members already in the group members := the names of the current members (list of strings)
Exceptions |
--- | ---
NotImplementedError
| receiveGroupMessage
    receiveGroupMessage (
            self,
            member,
            message,
            )
called when a member of the group sends a message. note: we /don't/ get this call when we send a message. member := the member who sent the message (string) message := the message (string)
Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0